![CI](https://github.com/lowRISC/muntjac/workflows/CI/badge.svg)

# Muntjac

Muntjac is a minimal 64-bit RISC-V multicore processor that's easy to understand, verify, and extend. The focus is on having a clean, well-tested design which others can build upon and further customise. Performance is secondary to correctness, but the aim is to work towards a design point (considering power, performance and area) that maximises the value of Muntjac as a baseline design for educational, academic, or real-world use.

Muntjac is currently a work in progress and is supported on a best-effort basis.

Documentation is available [here](doc/README.md) and build instructions are [here](./flows).

An example SoC and tutorial can be found [here](https://github.com/nbdd0121/muntjac-soc).

## How to contribute

Have a look at [CONTRIBUTING](./CONTRIBUTING.md) for guidelines on how to
contribute code to this repository.

## Licensing

Unless otherwise noted, everything in this repository is covered by the Apache
License, Version 2.0 (see [LICENSE](./LICENSE) for full text).

